Bug 423363 - Pop-up Notes can be moved off-canvas so they can't be actioned anymore
Summary: Pop-up Notes can be moved off-canvas so they can't be actioned anymore
Status: RESOLVED FIXED
Alias: None
Product: okular
Classification: Unclassified
Component: general (show other bugs)
Version: 1.10.2
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Okular developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-22 16:46 UTC by Alexander Ewering
Modified: 2022-08-06 02:29 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 22.12


Attachments
Screenshot of the problem (28.69 KB, image/png)
2020-06-22 16:46 UTC, Alexander Ewering
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Ewering 2020-06-22 16:46:04 UTC
Created attachment 129591 [details]
Screenshot of the problem

SUMMARY

When moving a yellow Pop-up note, it can be positioned so that its header is beneath the toolbar and thus cannot be closed anymore.

STEPS TO REPRODUCE
1. Create a Pop-up Note
2. Move it to the top so that its header is completely covered by the toolbar
3. Note cannot be closed anymore.

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 5.19.1
KDE Frameworks Version: 5.71.0
Qt Version: 5.14.2
Comment 1 Bug Janitor Service 2022-08-01 00:21:01 UTC
A possibly relevant merge request was started @ https://invent.kde.org/graphics/okular/-/merge_requests/635
Comment 2 Albert Astals Cid 2022-08-05 23:24:32 UTC
Git commit 55e074c8a1fab797dca489f0f0b5985f1344dab7 by Albert Astals Cid, on behalf of Nikola Nikolic.
Committed on 05/08/2022 at 23:06.
Pushed by aacid into branch 'master'.

Prevent popup note from being dragged outside the viewport

M  +28   -2    part/annotwindow.cpp

https://invent.kde.org/graphics/okular/commit/55e074c8a1fab797dca489f0f0b5985f1344dab7